//
// navigation
//

// variables used from /variables folder
$nav-item-padding: $base-spacing-unit-xs 0;
$nav-color: $color-text;
$nav-color-hover: $color-highlight;
$nav-border: $base-border;

// nav
.nav {
  @include navigation();

  a,
  span.active,
  span.trail,
  strong.active,
  strong.trail {
    color: $nav-color;
    @include transition(color);
  }

  a:hover {
    color: $nav-color-hover;
  }
}

// nav-horizontal
.nav-horizontal {
  ul {
    display: flex;
    flex-wrap: wrap;
  }

  a,
  span.active,
  span.trail,
  strong.active,
  strong.trail {
    display: inline-block;
    width: 100%;
    padding: $nav-item-padding;
  }
}

// nav-vertical
.nav-vertical {
  a,
  span.active,
  span.trail,
  strong.active,
  strong.trail {
    display: inline-block;
    width: 100%;
    padding: $nav-item-padding;
  }
}

// nav-border
.nav-border {
  a,
  strong.active,
  strong.trail {
    border: $nav-border;
    border-right: 0;

    &.last {
      border-right: $nav-border;
    }
  }
}
